<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>net.ihe.gazelle</groupId>
        <artifactId>gazelle-security-suite</artifactId>
        <version>7.2.3-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>gazelle-security-suite-ear</artifactId>
    <packaging>ear</packaging>
    <properties>
        <version.soapui>5.3.0</version.soapui>
    </properties>
    <pluginRepositories>
        <pluginRepository>
            <id>smartbear-sweden-plugin-repository</id>
            <url>http://www.soapui.org/repository/maven2/</url>
        </pluginRepository>
    </pluginRepositories>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>copy-provided-dependencies</id>
                        <phase>process-sources</phase>
                        <goals>
                            <goal>copy</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.bouncycastle</groupId>
                                    <artifactId>bcprov-jdk15on</artifactId>
                                </artifactItem>
                            </artifactItems>
                            <outputDirectory>${project.build.directory}/dist/jboss7/modules/org/bouncycastle/main/
                            </outputDirectory>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>2.3</version>
                <configuration>
                    <descriptors>
                        <descriptor>src/main/assembly/zip-lib.xml</descriptor>
                        <descriptor>src/main/assembly/zip-syslog.xml</descriptor>
                        <descriptor>src/main/assembly/soapui.xml</descriptor>
                        <descriptor>src/main/assembly/datasource.xml</descriptor>
                    </descriptors>
                </configuration>
                <executions>
                    <execution>
                        <id>make-assembly</id>
                        <phase>assembly</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-ear-plugin</artifactId>
                <configuration>
                    <version>6</version>
                    <filtering>true</filtering>
                    <!-- use for generating the jboss-app.xml file -->
                    <classifier>${web.context}</classifier>
                    <finalName>gazelle</finalName>
                    <displayName>Gazelle ATNA tools</displayName>
                    <description>Gazelle ATNA tools</description>
                    <includeLibInApplicationXml>false</includeLibInApplicationXml>
                    <modules>
                        <webModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-security-suite-war</artifactId>
                            <contextRoot>/${web.context}</contextRoot>
                            <bundleFileName>gazelle-security-suite.war</bundleFileName>
                        </webModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-security-suite-ejb</artifactId>
                            <uri>gazelle-security-suite-ejb.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-pki-jar</artifactId>
                            <uri>gazelle-pki-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-xua-jar</artifactId>
                            <uri>gazelle-xua-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-tls-jar</artifactId>
                            <uri>gazelle-tls-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle.proxy</groupId>
                            <artifactId>gazelle-proxy-jar</artifactId>
                            <uri>gazelle-proxy-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>mbval-documentation-ejb</artifactId>
                            <uri>mbval-documentation-ejb.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>AuditMessage-ejb</artifactId>
                            <uri>AuditMessage-ejb.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>atna-questionnaire-ejb</artifactId>
                            <uri>atna-questionnaire-ejb.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-syslog</artifactId>
                            <uri>gazelle-syslog.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle.maven</groupId>
                            <artifactId>gazelle-seam-tools-jar</artifactId>
                            <uri>gazelle-seam-tools-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>metadata-v7</artifactId>
                            <uri>metadata-v7.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-xua-tester-jar</artifactId>
                            <uri>gazelle-xua-tester-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>xml-signature-validator-jar</artifactId>
                            <uri>xml-signature-validator-jar.jar</uri>
                        </ejbModule>
                    </modules>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-security-suite-war</artifactId>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-security-suite-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-pki-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-tls-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.proxy</groupId>
            <artifactId>gazelle-proxy-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>AuditMessage-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>atna-questionnaire-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-xua-tester-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>xml-signature-validator-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-syslog</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-preferences</artifactId>
            <type>ejb</type>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-debug</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.cdk</groupId>
            <artifactId>cdk-tags</artifactId>
        </dependency>
        <dependency>
            <groupId>org.richfaces.ui</groupId>
            <artifactId>richfaces-components-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>org.richfaces.core</groupId>
            <artifactId>richfaces-core-impl</artifactId>
        </dependency>
        <dependency>
            <groupId>com.sun.faces</groupId>
            <artifactId>jsf-impl</artifactId>
        </dependency>
    </dependencies>
</project>
